RHEL 6/7:openssl(RHSA-2016:0305)(DROWN)

medium Nessus プラグイン ID 89071

概要

リモート Red Hat ホストに 1 つ以上のセキュリティ更新がありません。

説明

2 つのセキュリティの問題を修正する更新済みの openssl パッケージが、Red Hat Enterprise Linux 6.6 および 7.1 Extended Update Support で現在利用可能です。

Red Hat 製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度高として評価しています。詳細な重要度の評価を提供する Common Vulnerability Scoring System (CVSS)のベーススコアが、「参照」セクションの CVE リンクの各脆弱性に対して利用可能です。

OpenSSL は、Secure Sockets Layer(SSL v2/v3)および Transport Layer Security (TLS v1)プロトコル、ならびに全強度の汎用暗号化ライブラリを実装するツールキットです。

Secure Sockets Layer バージョン 2.0(SSLv2)プロトコルにパディングオラクルの欠陥が見つかりました。攻撃者がこの欠陥を利用して、より新しい SSL/TLS プロトコルバージョンを使用する接続から RSA で暗号化された暗号テキストを解読し、この接続を解読できる可能性があります。
このクロスプロトコル攻撃は、一般的に DROWN と呼ばれています。
(CVE-2016-0800)

注:この問題は、「SSLv23」接続メソッド使用時にデフォルトで SSLv2 プロトコルを無効にし、脆弱な SSLv2 暗号化パッケージのサポートを削除することで対処されました。詳細については、「参照」セクションでリンクされているナレッジベースの記事を参照してください。

悪意のある SSLv2 クライアントが、サーバーで無効になっている SSLv2 暗号をネゴシエートする方法で、欠陥が見つかりました。これにより、脆弱な SSLv2 暗号が SSLv2 接続に対して使用され、中間者攻撃に対して脆弱になる可能性があります。(CVE-2015-3197)

Red Hat は、これらの問題についてレポートしてくれた OpenSSL プロジェクトに感謝の意を表します。Upstream は、Nimrod Aviram 氏および Sebastian Schinzel 氏を最初の報告者として認めます。

openssl の全ユーザーは、バックポートされたパッチが含まれるこれらの更新済みパッケージへアップグレードし、これらの問題を修正することが推奨されます。更新を有効にするには、 OpenSSL ライブラリにリンクされているすべてのサービスを再起動するか、システムを再起動する必要があります。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/articles/2176731

https://drownattack.com/

https://www.openssl.org/news/secadv/20160128.txt

https://www.openssl.org/news/secadv/20160301.txt

https://access.redhat.com/errata/RHSA-2016:0305

https://access.redhat.com/security/cve/cve-2016-0800

https://access.redhat.com/security/cve/cve-2015-3197

プラグインの詳細

深刻度: Medium

ID: 89071

ファイル名: redhat-RHSA-2016-0305.nasl

バージョン: 2.22

タイプ: local

エージェント: unix

公開日: 2016/3/2

更新日: 2019/10/24

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: Medium

スコア: 5.1

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: AV:N/AC:M/Au:N/C:P/I:N/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 5.9

Temporal Score: 5.2

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:openssl, p-cpe:/a:redhat:enterprise_linux:openssl-debuginfo, p-cpe:/a:redhat:enterprise_linux:openssl-devel, p-cpe:/a:redhat:enterprise_linux:openssl-libs, p-cpe:/a:redhat:enterprise_linux:openssl-perl, p-cpe:/a:redhat:enterprise_linux:openssl-static, cpe:/o:redhat:enterprise_linux:6.6, cpe:/o:redhat:enterprise_linux:7.1

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2016/3/1

脆弱性公開日: 2016/2/15

参照情報

CVE: CVE-2015-3197, CVE-2016-0800

RHSA: 2016:0305